
Infrastructure - Task #4727

Story # 4708 (Closed): Test CN on Ubuntu 12.04

Upgrade dataone-cn-os-core

2014-04-15 00:08 - Jing Tao

Status: Closed Start date: 2014-04-14

Priority: Normal Due date:  

Assignee: Jing Tao % Done: 100%

Category: d1_cn_buildout Estimated time: 0.00 hour

Target version: 2014.26-Block.4.1   

Milestone: CCI-1.2 Story Points:  

Product Version: 1.2.7   

Description

I decided to stage the upgrading. The first step is to test dataone-cn-os-core. We need to change the files, i.e., control, postinst and

et al in https://repository.dataone.org/software/cicore/trunk/cn-buildout/dataone-cn-os-core/DEBIAN/ directory. Then do a upgrade.

I believe we need to uninstall those components before we upgrade the core:

dataone-cn-metacat

dataone-cn-portal

dataone-cn-rest-service

dataone-cn-processdaemon

dataone-cn-audit-index

dataone-cn-index

dataone-mercury

dataone-cn-solr

dataone-cn-version-tool

Associated revisions

Revision d38c383d - 2014-05-30 22:28 - Robert Waltz

refs #4727

modifying slapd for performance issues.

Revision 13902 - 2014-05-30 22:28 - Robert Waltz

refs #4727

modifying slapd for performance issues.

Revision 13902 - 2014-05-30 22:28 - Robert Waltz

refs #4727

modifying slapd for performance issues.

Revision 13902 - 2014-05-30 22:28 - Robert Waltz

refs #4727

modifying slapd for performance issues.

Revision 13902 - 2014-05-30 22:28 - Robert Waltz
refs #4727

modifying slapd for performance issues.

Revision 5e9ec61f - 2014-06-03 18:37 - Robert Waltz

refs #4727

modifying slapd for performance issues.

Revision 13910 - 2014-06-03 18:37 - Robert Waltz

refs #4727

modifying slapd for performance issues.

Revision 13910 - 2014-06-03 18:37 - Robert Waltz

refs #4727

modifying slapd for performance issues.

Revision 13910 - 2014-06-03 18:37 - Robert Waltz

refs #4727

modifying slapd for performance issues.

Revision 13910 - 2014-06-03 18:37 - Robert Waltz

refs #4727

modifying slapd for performance issues.

Revision 3114019a - 2014-06-03 21:53 - Robert Waltz

refs #4727

modifying slapd for performance issues. reverting, does not like adding new indexes. should examine why later on.

Revision 13911 - 2014-06-03 21:53 - Robert Waltz

refs #4727

modifying slapd for performance issues. reverting, does not like adding new indexes. should examine why later on.

Revision 13911 - 2014-06-03 21:53 - Robert Waltz

refs #4727

modifying slapd for performance issues. reverting, does not like adding new indexes. should examine why later on.
Revision 13911 - 2014-06-03 21:53 - Robert Waltz

refs #4727

modifying slapd for performance issues. reverting, does not like adding new indexes. should examine why later on.

Revision 13911 - 2014-06-03 21:53 - Robert Waltz

refs #4727

modifying slapd for performance issues. reverting, does not like adding new indexes. should examine why later on.

Revision 1e017b18 - 2014-06-03 21:55 - Robert Waltz

refs #4727

modifying slapd for performance issues. reverting, does not like adding new indexes. should examine why later on. (mispelled indexname)

Revision 13912 - 2014-06-03 21:55 - Robert Waltz

refs #4727

modifying slapd for performance issues. reverting, does not like adding new indexes. should examine why later on. (mispelled indexname)

Revision 13912 - 2014-06-03 21:55 - Robert Waltz

refs #4727

modifying slapd for performance issues. reverting, does not like adding new indexes. should examine why later on. (mispelled indexname)

Revision 13912 - 2014-06-03 21:55 - Robert Waltz

refs #4727

modifying slapd for performance issues. reverting, does not like adding new indexes. should examine why later on. (mispelled indexname)

Revision 13912 - 2014-06-03 21:55 - Robert Waltz

refs #4727

modifying slapd for performance issues. reverting, does not like adding new indexes. should examine why later on. (mispelled indexname)

Revision 7b30041d - 2014-06-03 21:56 - Robert Waltz

refs #4727

modifying slapd for performance issues. reverting reverted. geez...

Revision 13913 - 2014-06-03 21:56 - Robert Waltz

refs #4727

modifying slapd for performance issues. reverting reverted. geez...
Revision 13913 - 2014-06-03 21:56 - Robert Waltz

refs #4727

modifying slapd for performance issues. reverting reverted. geez...

Revision 13913 - 2014-06-03 21:56 - Robert Waltz

refs #4727

modifying slapd for performance issues. reverting reverted. geez...

Revision 13913 - 2014-06-03 21:56 - Robert Waltz

refs #4727

modifying slapd for performance issues. reverting reverted. geez...

Revision 8d79ee8c - 2014-06-04 05:35 - Robert Waltz

refs #4727

openldap installation on debian has changed defaults:

from https://wiki.debian.org/LDAP/OpenLDAPSetup

For the DNS domain name, enter your domain name. This will be translated to an LDAP DN (for example, 'example.com' would become 'dc=example,

dc=com'). This becomes what is known as your BaseDN, the root of your database.

This causes our initialization to fail. we need our basedn to be simple dc=org.

Revision 13915 - 2014-06-04 05:35 - Robert Waltz

refs #4727

openldap installation on debian has changed defaults:

from https://wiki.debian.org/LDAP/OpenLDAPSetup

For the DNS domain name, enter your domain name. This will be translated to an LDAP DN (for example, 'example.com' would become 'dc=example,

dc=com'). This becomes what is known as your BaseDN, the root of your database. 

This causes our initialization to fail. we need our basedn to be simple dc=org.

Revision 13915 - 2014-06-04 05:35 - Robert Waltz

refs #4727

openldap installation on debian has changed defaults:

from https://wiki.debian.org/LDAP/OpenLDAPSetup

For the DNS domain name, enter your domain name. This will be translated to an LDAP DN (for example, 'example.com' would become 'dc=example,

dc=com'). This becomes what is known as your BaseDN, the root of your database. 

2024-04-26 4/8

https://wiki.debian.org/LDAP/OpenLDAPSetup
https://wiki.debian.org/LDAP/OpenLDAPSetup
https://wiki.debian.org/LDAP/OpenLDAPSetup


This causes our initialization to fail. we need our basedn to be simple dc=org.

Revision 13915 - 2014-06-04 05:35 - Robert Waltz

refs #4727

openldap installation on debian has changed defaults:

from https://wiki.debian.org/LDAP/OpenLDAPSetup

For the DNS domain name, enter your domain name. This will be translated to an LDAP DN (for example, 'example.com' would become 'dc=example,

dc=com'). This becomes what is known as your BaseDN, the root of your database. 

This causes our initialization to fail. we need our basedn to be simple dc=org.

Revision 13915 - 2014-06-04 05:35 - Robert Waltz

refs #4727

openldap installation on debian has changed defaults:

from https://wiki.debian.org/LDAP/OpenLDAPSetup

For the DNS domain name, enter your domain name. This will be translated to an LDAP DN (for example, 'example.com' would become 'dc=example,

dc=com'). This becomes what is known as your BaseDN, the root of your database. 

This causes our initialization to fail. we need our basedn to be simple dc=org.

Revision 2c624f67 - 2014-06-04 07:22 - Robert Waltz

refs #4727

openldap installation on debian has changed defaults:

from https://wiki.debian.org/LDAP/OpenLDAPSetup

For the DNS domain name, enter your domain name. This will be translated to an LDAP DN (for example, 'example.com' would become 'dc=example,

dc=com'). This becomes what is known as your BaseDN, the root of your database.

This causes our initialization to fail. we need our basedn to be simple dc=org.

Revision 13916 - 2014-06-04 07:22 - Robert Waltz

refs #4727

openldap installation on debian has changed defaults:

from https://wiki.debian.org/LDAP/OpenLDAPSetup

For the DNS domain name, enter your domain name. This will be translated to an LDAP DN (for example, 'example.com' would become 'dc=example,

dc=com'). This becomes what is known as your BaseDN, the root of your database. 

This causes our initialization to fail. we need our basedn to be simple dc=org.
Revision 13916 - 2014-06-04 07:22 - Robert Waltz

refs #4727

openldap installation on debian has changed defaults:

from https://wiki.debian.org/LDAP/OpenLDAPSetup

For the DNS domain name, enter your domain name. This will be translated to an LDAP DN (for example, 'example.com' would become 'dc=example,

dc=com'). This becomes what is known as your BaseDN, the root of your database. 

This causes our initialization to fail. we need our basedn to be simple dc=org.

Revision 13916 - 2014-06-04 07:22 - Robert Waltz

refs #4727

openldap installation on debian has changed defaults:

from https://wiki.debian.org/LDAP/OpenLDAPSetup

For the DNS domain name, enter your domain name. This will be translated to an LDAP DN (for example, 'example.com' would become 'dc=example,

dc=com'). This becomes what is known as your BaseDN, the root of your database. 

This causes our initialization to fail. we need our basedn to be simple dc=org.

Revision 13916 - 2014-06-04 07:22 - Robert Waltz

refs #4727

openldap installation on debian has changed defaults:

from https://wiki.debian.org/LDAP/OpenLDAPSetup

For the DNS domain name, enter your domain name. This will be translated to an LDAP DN (for example, 'example.com' would become 'dc=example,

dc=com'). This becomes what is known as your BaseDN, the root of your database. 

This causes our initialization to fail. we need our basedn to be simple dc=org.

Revision da818b6d - 2014-06-13 03:56 - Robert Waltz

refs #4727

configuring ldap needs to be more robust

Revision 13982 - 2014-06-13 03:56 - Robert Waltz

refs #4727

configuring ldap needs to be more robust
Revision 13982 - 2014-06-13 03:56 - Robert Waltz

refs #4727

configuring ldap needs to be more robust

Revision 13982 - 2014-06-13 03:56 - Robert Waltz

refs #4727

configuring ldap needs to be more robust

Revision 13982 - 2014-06-13 03:56 - Robert Waltz

refs #4727

configuring ldap needs to be more robust

Revision 7a912902 - 2014-06-13 04:11 - Robert Waltz

refs #4727

configuring ldap needs to be more robust

Revision 13983 - 2014-06-13 04:11 - Robert Waltz

refs #4727

configuring ldap needs to be more robust

Revision 13983 - 2014-06-13 04:11 - Robert Waltz

refs #4727

configuring ldap needs to be more robust

Revision 13983 - 2014-06-13 04:11 - Robert Waltz

refs #4727

configuring ldap needs to be more robust

Revision 13983 - 2014-06-13 04:11 - Robert Waltz

refs #4727

configuring ldap needs to be more robust

History

#1 - 2014-06-30 22:13 - Robert Waltz

- Target version set to 2014.26-Block.4.1
#2 - 2014-06-30 22:18 - Robert Waltz

- Status changed from New to In Progress

- Assignee set to Jing Tao

- Milestone changed from None to CCI-1.2

- Product Version changed from * to 1.2.7

- Category set to d1_cn_buildout

#3 - 2014-06-30 22:18 - Robert Waltz

- Status changed from In Progress to Testing

#4 - 2014-07-18 02:53 - Robert Waltz

- translation missing: en.field_remaining_hours set to 0.0

- Status changed from Testing to Closed
